Skip to Content
veriom

Rotate webhook secret

POST
/v1/workspaces/{workspace_id}/webhooks/{subscription_id}/rotate-secret

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
subscription_id*Subscription Id
Formatuuid

Response Body

Successful Response

application/json
  1. response
id*Id
Formatuuid
secret*Secret
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08/rotate-secret'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "secret": "string"}